# PSF-LoginServer - master - net.psforever.objects.avatar.CommandRank
PSF - LoginServer - master - net.psforever.objects.avatar.CommandRank
Keywords: PSF LoginServer master net.psforever.objects.avatar.CommandRank

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
- Avatar
- Avatars
- BattleRank
- Certification
- CommandRank
- CorpseControl
- Cosmetic
- DeployableToolbox
- FirstTimeEvents
- Implant
- LoadoutManager
- PlayerControl
- SpecialCarry

o

net.psforever.objects.avatar

# CommandRank 

###
Companion class CommandRank

#### case object CommandRank extends IntEnum[CommandRank] with Product with Serializable

Source
  CommandRank.scala

Linear Supertypes
Serializable, Product, Equals, IntEnum[CommandRank], ValueEnum[Int, CommandRank], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CommandRank
2. Serializable
3. Product
4. Equals
5. IntEnum
6. ValueEnum
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  macro def findValues: IndexedSeq[CommandRank]
   Attributes
     protected
   Definition Classes
     IntEnum
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def productElementName(n: Int): String
    Definition Classes
      Product
16.  def productElementNames: Iterator[String]
    Definition Classes
      Product
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  val values: IndexedSeq[CommandRank]
    Definition Classes
      CommandRank → ValueEnum
19.  final lazy val valuesToEntriesMap: Map[Int, CommandRank]
    Definition Classes
      ValueEnum
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
23.  def withExperience(experience: Long): CommandRank

    Find CommandRank variant for given experience value

24.  def withExperienceOpt(experience: Long): Option[CommandRank]

    Find CommandRank variant for given experience value

25.  def withValue(i: Int): CommandRank
    Definition Classes
      ValueEnum
    Annotations
      @SuppressWarnings()
26.  def withValueEither(i: Int): Either[NoSuchMember[Int, ValueEnumEntry[Int]], CommandRank]
    Definition Classes
      ValueEnum
27.  def withValueOpt(i: Int): Option[CommandRank]
    Definition Classes
      ValueEnum
28.  case object CR0 extends CommandRank with Product with Serializable
29.  case object CR1 extends CommandRank with Product with Serializable
30.  case object CR2 extends CommandRank with Product with Serializable
31.  case object CR3 extends CommandRank with Product with Serializable
32.  case object CR4 extends CommandRank with Product with Serializable
33.  case object CR5 extends CommandRank with Product with Serializable

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from IntEnum[CommandRank]

### Inherited from ValueEnum[Int, CommandRank]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped